Package org.apache.tools.ant.types

# Class FlexInteger

java.lang.Object
org.apache.tools.ant.types.FlexInteger

    public class FlexInteger
    extends java.lang.Object

Helper class which can be used for Ant task attribute setter methods to allow the build file to specify an integer in either decimal, octal, or hexadecimal format.

See Also:
  `Integer.decode(String)`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FlexInteger​(java.lang.String value)` | Constructor used by Ant's introspection mechanism for attribute population

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `intValue()` | Returns the decimal integer value
  `java.lang.String` | `toString()` | Overridden method to return the decimal value for display

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlexInteger

    public FlexInteger​(java.lang.String value)
    Constructor used by Ant's introspection mechanism for attribute population
    Parameters:
      `value` - the value to decode

- ## Method Details

  - ### intValue

    public int intValue()
    Returns the decimal integer value
    Returns:
      the integer value

  - ### toString

    public java.lang.String toString()
    Overridden method to return the decimal value for display
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      a string version of the integer